VIRTIO_BLK(4)

NAME
virtio_blk - VirtIO Block driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device virtio_blk

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    virtio_blk_load="YES"

DESCRIPTION
The virtio_blk device driver provides support for VirtIO block devices.

LOADER TUNABLES
Tunables can be set at the loader(8) prompt before booting the kernel or stored in loader.conf(5).

hw.vtblk.no_ident
    This tunable disables retrieving the device identification string from the hypervisor. The default value is 0.

SEE ALSO
virtio(4)

HISTORY
The virtio_blk driver was written by Bryan Venteicher <bryanv@daemoninthecloset.org>. It first appeared in FreeBSD 9.0.